<?xml version="1.0" encoding="UTF-8"?>
<definitions xmlns="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:activiti="http://activiti.org/bpmn" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:omgdc="http://www.omg.org/spec/DD/20100524/DC" xmlns:omgdi="http://www.omg.org/spec/DD/20100524/DI" typeLanguage="http://www.w3.org/2001/XMLSchema" expressionLanguage="http://www.w3.org/1999/XPath" targetNamespace="http://www.activiti.org/processdef">
  <process id="order2" name="order2" isExecutable="true">
    <startEvent id="d-start"/>
    <userTask id="d1" name="分配工单的节点" activiti:candidateGroups="${stationId}">
      <extensionElements>
        <activiti:formProperty id="Property 1"/>
      </extensionElements>
    </userTask>
    <userTask id="d2" name="接收或驳回的节点" activiti:assignee="${orderReq.workerId}"/>
    <exclusiveGateway id="x1" name="接收或驳回的网关"/>
    <sequenceFlow id="sid-ce0abf7c-67ce-482d-9c07-e8aeacb78030" sourceRef="d2" targetRef="x1"/>
    <sequenceFlow id="sid-0ff6fea8-b044-4737-9c44-25b067c54205" sourceRef="d1" targetRef="d2"/>
    <sequenceFlow id="sid-a0440356-7166-4c7e-893f-ebf04175b0ed" sourceRef="d-start" targetRef="d1"/>
    <userTask id="d3" activiti:assignee="${orderReq.workerId}" name="处理工单的节点"/>
    <sequenceFlow id="x1-agree" sourceRef="x1" targetRef="d3" name="接收工单">
      <conditionExpression xsi:type="tFormalExpression">${orderReq.reject==0}</conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="x1-reject" sourceRef="x1" targetRef="d1" name="驳回工单">
      <conditionExpression xsi:type="tFormalExpression">${orderReq.reject==1}</conditionExpression>
    </sequenceFlow>
    <endEvent id="d-end"/>
    <userTask id="d4" name="验收通过或没通过" activiti:candidateGroups="${stationId}"/>
    <sequenceFlow id="sid-66006a35-37a5-4d09-9396-5515ec83be06" sourceRef="d3" targetRef="d4"/>
    <exclusiveGateway id="x2" name="验收通过或没通过的网关"/>
    <sequenceFlow id="sid-d34a0a46-905a-4b99-b696-0bda31dd795c" sourceRef="d4" targetRef="x2"/>
    <sequenceFlow id="sid-087f20af-9034-445c-b16e-79921a28b938" sourceRef="x2" targetRef="d3" name="工单验收不通过">
      <conditionExpression xsi:type="tFormalExpression">${orderReq.complete==0}</conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-84b81ee3-39d1-45ea-98cb-cc41f7c3454e" sourceRef="x2" targetRef="d-end" name="工单验收通过">
      <conditionExpression xsi:type="tFormalExpression">${orderReq.complete==1}</conditionExpression>
    </sequenceFlow>
  </process>
  <bpmndi:BPMNDiagram id="BPMNDiagram_order2">
    <bpmndi:BPMNPlane bpmnElement="order2" id="BPMNPlane_order2">
      <bpmndi:BPMNShape id="shape-9d49be98-cc1a-4232-b40d-e822f3e5b183" bpmnElement="d-start">
        <omgdc:Bounds x="-490.0" y="0.0" width="30.0" height="30.0"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="shape-13475417-9e0a-4059-92f5-7753ae17748d" bpmnElement="d1">
        <omgdc:Bounds x="-400.0" y="-12.5" width="60.0" height="55.0"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="shape-5b7a834a-6ff8-4917-a61e-295feaaa37d5" bpmnElement="d2">
        <omgdc:Bounds x="-250.0" y="-14.999998" width="70.0" height="60.0"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="shape-84a86e19-b70f-48a9-9801-3d7e0f6d5908" bpmnElement="x1">
        <omgdc:Bounds x="-235.0" y="-110.0" width="40.0" height="40.0"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge id="edge-5a2a83ec-bd4e-48d6-90da-505942369c79" bpmnElement="sid-ce0abf7c-67ce-482d-9c07-e8aeacb78030">
        <omgdi:waypoint x="-215.0" y="-14.999998"/>
        <omgdi:waypoint x="-215.0" y="-70.0"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="edge-6c797a63-9d64-4fb9-bb1d-0129311bed27" bpmnElement="sid-0ff6fea8-b044-4737-9c44-25b067c54205">
        <omgdi:waypoint x="-340.0" y="15.0"/>
        <omgdi:waypoint x="-250.0" y="15.000002"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="edge-3a37999e-813d-44dd-8e63-1f28d9e5f86e" bpmnElement="sid-a0440356-7166-4c7e-893f-ebf04175b0ed">
        <omgdi:waypoint x="-460.0" y="15.0"/>
        <omgdi:waypoint x="-400.0" y="15.0"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNShape id="shape-935e9064-2671-4ef9-97c7-e24d347cdc8d" bpmnElement="d3">
        <omgdc:Bounds x="-120.0" y="-120.0" width="65.0" height="60.0"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge id="edge-b4a11447-d068-4f93-a358-c3dc5c1bac7c" bpmnElement="x1-agree">
        <omgdi:waypoint x="-194.99998" y="-89.99999"/>
        <omgdi:waypoint x="-180.0" y="-90.0"/>
        <omgdi:waypoint x="-162.5" y="-90.0"/>
        <omgdi:waypoint x="-120.0" y="-90.0"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="edge-b43952f3-f450-4eb7-8fc0-1958ebc22b2e" bpmnElement="x1-reject">
        <omgdi:waypoint x="-235.0" y="-90.0"/>
        <omgdi:waypoint x="-340.0" y="1.25"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNShape id="shape-96f035a9-d956-4558-b675-0ac4fd796f2e" bpmnElement="d-end">
        <omgdc:Bounds x="-92.5" y="-20.0" width="30.0" height="30.0"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="sid-95f15de4-2997-4128-bf53-9c50d65f4321" bpmnElement="d4">
        <omgdc:Bounds x="10.0" y="-120.0" width="65.0" height="60.0"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge id="edge-d72b1e68-3861-4d90-8f69-a58410ba7507" bpmnElement="sid-66006a35-37a5-4d09-9396-5515ec83be06">
        <omgdi:waypoint x="-55.0" y="-90.0"/>
        <omgdi:waypoint x="10.0" y="-90.0"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNShape id="shape-1d99afd1-0d26-473f-88ab-20544ca2a8e9" bpmnElement="x2">
        <omgdc:Bounds x="22.5" y="-25.0" width="40.0" height="40.0"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge id="edge-dbfe3748-10b8-483f-9774-a66997524812" bpmnElement="sid-d34a0a46-905a-4b99-b696-0bda31dd795c">
        <omgdi:waypoint x="42.5" y="-60.0"/>
        <omgdi:waypoint x="42.5" y="-25.0"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="edge-9955319f-3484-4ecb-8a04-72ed5109bd63" bpmnElement="sid-087f20af-9034-445c-b16e-79921a28b938">
        <omgdi:waypoint x="32.5" y="-15.0"/>
        <omgdi:waypoint x="-55.0" y="-75.0"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="edge-04bd5652-7fe4-493f-9d0a-9372fb0cdf92" bpmnElement="sid-84b81ee3-39d1-45ea-98cb-cc41f7c3454e">
        <omgdi:waypoint x="22.5" y="-5.0"/>
        <omgdi:waypoint x="-62.5" y="-5.0"/>
      </bpmndi:BPMNEdge>
    </bpmndi:BPMNPlane>
  </bpmndi:BPMNDiagram>
</definitions>
